Event
Date: 2019-10-22

org.jmol.awtjs

## Class Event

- java.lang.Object
- - org.jmol.awtjs.Event

-     public class Event
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALT_MASK`
    `static int` | `BUTTON_MASK`
    `static int` | `CLICKED`
    `static int` | `CTRL_ALT`
    `static int` | `CTRL_MASK`
    `static int` | `CTRL_SHIFT`
    `static int` | `DRAGGED`
    `static int` | `MAC_COMMAND`
    `static int` | `META_MASK`
    `static int` | `MOUSE_DOWN`
    `static int` | `MOUSE_DRAG`
    `static int` | `MOUSE_ENTER`
    `static int` | `MOUSE_EXIT`
    `static int` | `MOUSE_LEFT`
    `static int` | `MOUSE_MIDDLE`
    `static int` | `MOUSE_MOVE`
    `static int` | `MOUSE_RIGHT`
    `static int` | `MOUSE_UP`
    `static int` | `MOUSE_WHEEL`
    `static int` | `MOVED`
    `static int` | `PRESSED`
    `static int` | `RELEASED`
    `static int` | `SHIFT_MASK`
    `static int` | `VK_ALT`
    `static int` | `VK_BACK_SPACE`
    `static int` | `VK_CONTROL`
    `static int` | `VK_DELETE`
    `static int` | `VK_DOWN`
    `static int` | `VK_ESCAPE`
    `static int` | `VK_LEFT`
    `static int` | `VK_META`
    `static int` | `VK_PAGE_DOWN`
    `static int` | `VK_PAGE_UP`
    `static int` | `VK_PERIOD`
    `static int` | `VK_RIGHT`
    `static int` | `VK_SHIFT`
    `static int` | `VK_SPACE`
    `static int` | `VK_UP`
    `static int` | `WHEELED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MOUSE_LEFT

          public static final int MOUSE_LEFT

      See Also:
        Constant Field Values

    - #### MOUSE_MIDDLE

          public static final int MOUSE_MIDDLE

      See Also:
        Constant Field Values

    - #### MOUSE_RIGHT

          public static final int MOUSE_RIGHT

      See Also:
        Constant Field Values

    - #### MOUSE_WHEEL

          public static final int MOUSE_WHEEL

      See Also:
        Constant Field Values

    - #### MAC_COMMAND

          public static final int MAC_COMMAND

      See Also:
        Constant Field Values

    - #### BUTTON_MASK

          public static final int BUTTON_MASK

      See Also:
        Constant Field Values

    - #### MOUSE_DOWN

          public static final int MOUSE_DOWN

      See Also:
        Constant Field Values

    - #### MOUSE_UP

          public static final int MOUSE_UP

      See Also:
        Constant Field Values

    - #### MOUSE_MOVE

          public static final int MOUSE_MOVE

      See Also:
        Constant Field Values

    - #### MOUSE_ENTER

          public static final int MOUSE_ENTER

      See Also:
        Constant Field Values

    - #### MOUSE_EXIT

          public static final int MOUSE_EXIT

      See Also:
        Constant Field Values

    - #### MOUSE_DRAG

          public static final int MOUSE_DRAG

      See Also:
        Constant Field Values

    - #### SHIFT_MASK

          public static final int SHIFT_MASK

      See Also:
        Constant Field Values

    - #### ALT_MASK

          public static final int ALT_MASK

      See Also:
        Constant Field Values

    - #### CTRL_MASK

          public static final int CTRL_MASK

      See Also:
        Constant Field Values

    - #### CTRL_ALT

          public static final int CTRL_ALT

      See Also:
        Constant Field Values

    - #### CTRL_SHIFT

          public static final int CTRL_SHIFT

      See Also:
        Constant Field Values

    - #### META_MASK

          public static final int META_MASK

      See Also:
        Constant Field Values

    - #### VK_SHIFT

          public static final int VK_SHIFT

      See Also:
        Constant Field Values

    - #### VK_ALT

          public static final int VK_ALT

      See Also:
        Constant Field Values

    - #### VK_CONTROL

          public static final int VK_CONTROL

      See Also:
        Constant Field Values

    - #### VK_META

          public static final int VK_META

      See Also:
        Constant Field Values

    - #### VK_LEFT

          public static final int VK_LEFT

      See Also:
        Constant Field Values

    - #### VK_RIGHT

          public static final int VK_RIGHT

      See Also:
        Constant Field Values

    - #### VK_PERIOD

          public static final int VK_PERIOD

      See Also:
        Constant Field Values

    - #### VK_SPACE

          public static final int VK_SPACE

      See Also:
        Constant Field Values

    - #### VK_DOWN

          public static final int VK_DOWN

      See Also:
        Constant Field Values

    - #### VK_UP

          public static final int VK_UP

      See Also:
        Constant Field Values

    - #### VK_ESCAPE

          public static final int VK_ESCAPE

      See Also:
        Constant Field Values

    - #### VK_DELETE

          public static final int VK_DELETE

      See Also:
        Constant Field Values

    - #### VK_BACK_SPACE

          public static final int VK_BACK_SPACE

      See Also:
        Constant Field Values

    - #### VK_PAGE_DOWN

          public static final int VK_PAGE_DOWN

      See Also:
        Constant Field Values

    - #### VK_PAGE_UP

          public static final int VK_PAGE_UP

      See Also:
        Constant Field Values

    - #### MOVED

          public static final int MOVED

      See Also:
        Constant Field Values

    - #### DRAGGED

          public static final int DRAGGED

      See Also:
        Constant Field Values

    - #### CLICKED

          public static final int CLICKED

      See Also:
        Constant Field Values

    - #### WHEELED

          public static final int WHEELED

      See Also:
        Constant Field Values

    - #### PRESSED

          public static final int PRESSED

      See Also:
        Constant Field Values

    - #### RELEASED

          public static final int RELEASED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Event

          public Event()